Summary: A library for editing typed in command lines.
Name: readline
Version: 4.1
Release: 1.0.4
Vendor: Guardian Digital, Inc.
Packager: Guardian Digital, Inc. <http://www.linuxseclabs.com>
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnu.org/gnu/readline-%{version}.tar.gz
Patch0: readline-2.2.1-guard.patch
Prereq: /sbin/install-info /sbin/ldconfig
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: sed

%description
The readline library reads a line from the terminal and returns it,
allowing the user to edit the line with standard emacs editing keys.
The readline library allows programmers to provide an easy to use and
more intuitive interface for users.

If you want to develop programs that will use the readline library,
you'll also need to install the readline-devel package.

%package devel
Summary: Files needed to develop programs which use the readline library.
Group: Development/Libraries
Requires: readline = %{version}

%description devel
The readline library will read a line from the terminal and return it.
Use of the readline library allows programmers to provide an easy
to use and more intuitive interface for users.

If you want to develop programs which will use the readline library,
you'll need to have the readline-devel package installed.  You'll also
need to have the readline package installed.

%prep
%setup -q
%patch0 -p1 -b .guard

%build
%configure
make all shared

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}

%makeinstall install install-shared

chmod 755 ${RPM_BUILD_ROOT}/%{prefix}/lib/*.so*

{ cd ${RPM_BUILD_ROOT}
  ln -sf libreadline.so.%{version} .%{_libdir}/libreadline.so
  ln -sf libhistory.so.%{version} .%{_libdir}/libhistory.so
  ln -sf libreadline.so.%{version} \
  	.%{_libdir}/libreadline.so.`echo %{version} | sed 's^\..*^^g'`
  ln -sf libhistory.so.%{version} \
  	.%{_libdir}/libhistory.so.`echo %{version} | sed 's^\..*^^g'`
  gzip -9nf .%{_infodir}/*.info*
  rm -f .%{_infodir}/dir
}
 
%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
if [ -f %{_infodir}/history.info.gz ];then 
	/sbin/install-info %{_infodir}/history.info.gz %{_infodir}/dir
fi
if [ -f %{_infodir}/readline.info.gz ]; then
	/sbin/install-info %{_infodir}/readline.info.gz %{_infodir}/dir
fi

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/history.info.gz %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/readline.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc %{_mandir}/man*/*
%doc %{_infodir}/*.info*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/readline
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- marked *info.gz as %doc
- made install-info conditional on existence of *info.gz

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Wed Aug  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- use "rm -f" in specfile

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Tue Mar 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 4.1

* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added guard patch from Taneli Huuskonen <huuskone@cc.helsinki.fi>

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.2.1

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package /usr/info/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
